#
# spec file for package bb
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bb
BuildRequires:  aalib-devel
BuildRequires:  automake
BuildRequires:  libmikmod-devel
BuildRequires:  lzo-devel
URL:            http://aa-project.sourceforge.net/bb/
Summary:        Audio-Visual Demonstration for Text Terminal
License:        GPL-2.0-or-later
Group:          Amusements/Toys/Graphics
Version:        1.3
Release:        576.1
Source:         bb-1.3rc1.tar.bz2
Patch0:         bb-1.3.0.diff
Patch1:         bb-1.3.0-timer.diff
Patch2:         warn.patch
Patch3:         undefined-operation.diff
Patch4:         bb-1.3.0-no-minilzo-or-builddates.patch
Patch5:         bb-fix-linking.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
BB is a high quality audio-visual demonstration for your text terminal.
 It is a portable demo, so you can run it on plenty of operating
systems and DOS.

%prep
%setup -q -n %{name}-1.3.0
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5

%build
autoreconf -fiv
CFLAGS="$RPM_OPT_FLAGS -DDATADIR='\"/usr/share/bb/\"'" \
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/bin/bb
%{_mandir}/man1/bb.1.gz
%dir /usr/share/bb
/usr/share/bb/*.s3m

%changelog
* Mon Nov  6 2023 Dominique Leuenberger <dimstar@opensuse.org>
-  Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Tue Dec  5 2017 crrodriguez@opensuse.org
- Remove unused buildrequires on xorg-x11-devel
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Mon Aug 29 2011 crrodriguez@opensuse.org
- Fix wrong linking
- include <time.h> to avoid warnings.
* Wed Sep 29 2010 cristian.rodriguez@opensuse.org
- Do not use internal minilzo, it turns that it includes
  build dates that causes this package to republish when
  not needed.
* Wed Apr 11 2007 sbrabec@suse.cz
- Require just created libmikmod-devel instead of libmikmod.
* Tue Oct 17 2006 dmueller@suse.de
- reduce BuildRequires
* Thu Jul 20 2006 schwab@suse.de
- Don't run autoconf.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  2 2005 schwab@suse.de
- Fix undefined operation [#136688].
* Wed Jul  6 2005 schwab@suse.de
- Fix missing includes.
* Sat Apr 17 2004 schwab@suse.de
- Pacify autobuild.
* Fri Feb 27 2004 sf@suse.de
-  fixed timers.c
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Thu Jun 12 2003 kukuk@suse.de
- Add missing directory to filelist
* Thu Feb  6 2003 ro@suse.de
- update to 1.3rc1
* Mon Nov 11 2002 schwab@suse.de
- Fix multiline string literals.
* Fri May 31 2002 ro@suse.de
- changed neededforbuild <slang> to <slang slang-devel>
* Thu Apr  4 2002 schwab@suse.de
- Use exec instead of system.
- Fix descriptor leaks.
* Wed Apr  3 2002 schwab@suse.de
- Fix sound playing.
- Fix types for portability.
* Thu Aug 30 2001 ro@suse.de
- added slang to neededforbuild
* Tue May  8 2001 mfabian@suse.de
- bzip2 sources
* Mon Dec 11 2000 ro@suse.de
- changed neededforbuild <aalibdev> to <aalib-devel>
* Mon Oct 16 2000 schwab@suse.de
- Fix link order.
* Mon Sep 25 2000 schwab@suse.de
- Add group tag.
* Sun Dec  5 1999 ro@suse.de
- fix to compile on alpha
* Thu Nov 11 1999 schwab@suse.de
- New package
